image:
  registry: lscr.io
  repository: linuxserver/plex
  tag: 1.41.3
ingress:
  annotations: {}
  className: nginx
  host: example.com
  secret: plex-tls
env: 
  - name: PUID
    value: "1000"
  - name: PGID
    value: "1000"
  - name: TZ
    value: "Etc/UTC"
envFrom: []

pod:
  annotations: {}

wireguard:
  secretName: plex-wg-config

securtiyContext:
  runAsUser: 1000
  runAsGroup: 1000
  fsGroup: 1000

# livenessProbe:
#   httpGet:
#     path: /health
#     port: http
#   initialDelaySeconds: 5
#   periodSeconds: 5
# readinessProbe:
#   httpGet:
#     path: /health
#     port: http
#   initialDelaySeconds: 5
#   periodSeconds: 5
  

# volumes:
#   - name: media
#     persistentVolumeClaim:
#       claimName: media-data

# volumeMounts:
#   - mountPath: /media
#     name: media
  
persistence:
  config:
    accessModes: ["ReadWriteOnce"]
    storageClassName: "example" 
    size: 15Gi
